{

    "AbilityName" : "Battery_BreakStun",

    "AbilityStacking": "Unique",



    //注释防吞

    "DefaultModifier" : 

    {

        //破晕触发时

        "OnStunDestroyOtherActions" :

        [

            {

                "$type" : "MoleMole.ApplyModifier",

                "ModifierName" : "StunBuffModifier",

                "Target" : "Target",

            },

        ],



        //破晕重置时

        "OnStunResetOtherActions":

        [

            {

                "$type" : "MoleMole.ApplyModifier",

                "ModifierName" : "StunBuffModifier",

                "Target" : "Target",

            },

        ],

        

        //破晕重置达到最大次数时

        "OnStunResetOtherMaxActions":

        [

            {

                "$type" : "MoleMole.RemoveMaterialPropertyAction",

                "Tag" : "Monster_Common_BreakStun_ScreenImage_01",

                "Target" : "Target",

            },

        ],

    },



    "Modifiers" : 

    {

        "StunBuffModifier":

        {

            "Duration" : -1,

            "Buff" : 

            {

                "BuffID" : 101002,   //StunBuff

                "IsOverrideDuration" : true,

            }

        }

    }

}